<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

Finap Secure Shared Preferences

## Features

Read and write data into shared preferences in a Secured manner

## Getting started

Run this command to install 

flutter pub add finap_secure_shared_preferences

## Usage

### Read Data

```dart
Future<String?> read(String key) async {
    return await storage?.read(key: key);
}
```

### Read All Data

```dart
Future<Map<String, String>?> readAll() async {
    return await storage?.readAll();
}
```

### Delete Data

```dart
Future<void> delete(String key) async {
    await storage?.delete(key: key);
}
```

### Delete All Data

```dart
Future<void> deleteAll() async {
    await storage?.deleteAll();
}
```

### Write Data

```dart
Future<void> write(String key, String value) async {
    if (Platform.isIOS) {
      final options = IOSOptions(accessibility: IOSAccessibility.first_unlock);
      await storage?.write(key: key, value: value, iOptions: options);
    }
    await storage?.write(key: key, value: value);
}
```
