library finap_secure_shared_preferences;

import 'dart:io';

import 'package:flutter_secure_storage/flutter_secure_storage.dart';

class SecureSharedPref {
  final FlutterSecureStorage? storage;

  SecureSharedPref({required this.storage});

  Future<String?> read(String key) async {
    return await storage?.read(key: key);
  }

  Future<Map<String, String>?> readAll() async {
    return await storage?.readAll();
  }

  Future<void> delete(String key) async {
    await storage?.delete(key: key);
  }

  Future<void> deleteAll() async {
    await storage?.deleteAll();
  }

  Future<void> write(String key, String value) async {
    if (Platform.isIOS) {
      final options = IOSOptions(accessibility: IOSAccessibility.first_unlock);
      await storage?.write(key: key, value: value, iOptions: options);
    }
    await storage?.write(key: key, value: value);
  }
}
